package background.expressions;

import background.VariableManager;

public abstract class EvaluationTree<T> {

	public ETreeNode root;
	public VariableManager variableManager;
	
		
	public EvaluationTree(String s, VariableManager vm) {
		variableManager = vm;
		
		root = this.decompose("("+s+")");			
	}
	
	public ETreeNode decompose(String s) {
		return null;
	}
	
	public T getTreeValue() {
		if (root!=null) return this.getValueOf(root); 
		else return null;
	}
		
	public T getValueOf(ETreeNode n) {
		return null;		
	}
		
	public T parseSimpleCase(String s) {
		return null;
	}
		
			
}
